Package org.silverpeas.components.scheduleevent.service.model.dao

# Class ScheduleEventDaoImpl

java.lang.Object
org.silverpeas.components.scheduleevent.service.model.dao.ScheduleEventDaoImpl

All Implemented Interfaces:
  `ScheduleEventDao`

@Repository public class ScheduleEventDaoImpl extends Object implements ScheduleEventDao

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduleEventDaoImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createScheduleEvent(ScheduleEvent scheduleEvent)`
  `void`
  `deleteScheduleEvent(ScheduleEvent scheduleEvent)`
  `ScheduleEvent`
  `getScheduleEvent(String scheduleEventId)`
  `Set<ScheduleEvent>`
  `listScheduleEventsByContributorId(String userId)`
  `Set<ScheduleEvent>`
  `listScheduleEventsByCreatorId(String userId)`
  `void`
  `purgeResponseScheduleEvent(ScheduleEvent scheduleEvent, int userId)`
  `void`
  `updateScheduleEvent(ScheduleEvent scheduleEvent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScheduleEventDaoImpl

    public ScheduleEventDaoImpl()

- ## Method Details

  - ### createScheduleEvent

    public void createScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `createScheduleEvent` in interface `ScheduleEventDao`

  - ### deleteScheduleEvent

    public void deleteScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `deleteScheduleEvent` in interface `ScheduleEventDao`

  - ### getScheduleEvent

    public ScheduleEvent getScheduleEvent(String scheduleEventId)
    Specified by:
      `getScheduleEvent` in interface `ScheduleEventDao`

  - ### listScheduleEventsByCreatorId

    public Set<ScheduleEvent> listScheduleEventsByCreatorId(String userId)
    Specified by:
      `listScheduleEventsByCreatorId` in interface `ScheduleEventDao`

  - ### listScheduleEventsByContributorId

    public Set<ScheduleEvent> listScheduleEventsByContributorId(String userId)
    Specified by:
      `listScheduleEventsByContributorId` in interface `ScheduleEventDao`

  - ### updateScheduleEvent

    public void updateScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `updateScheduleEvent` in interface `ScheduleEventDao`

  - ### purgeResponseScheduleEvent

    public void purgeResponseScheduleEvent(ScheduleEvent scheduleEvent, int userId)
    Specified by:
      `purgeResponseScheduleEvent` in interface `ScheduleEventDao`